<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DispatcherResult_V4 StructType
 * @subpackage Structs
 */
class DispatcherResult_V4 extends DispatcherResult_V2
{
    /**
     * The UserProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\UserProfile
     */
    public $UserProfile;
    /**
     * The RightsProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\RightsProfile
     */
    public $RightsProfile;
    /**
     * Constructor method for DispatcherResult_V4
     * @uses DispatcherResult_V4::setUserProfile()
     * @uses DispatcherResult_V4::setRightsProfile()
     * @param \StructType\UserProfile $userProfile
     * @param \StructType\RightsProfile $rightsProfile
     */
    public function __construct(\StructType\UserProfile $userProfile = null, \StructType\RightsProfile $rightsProfile = null)
    {
        $this
            ->setUserProfile($userProfile)
            ->setRightsProfile($rightsProfile);
    }
    /**
     * Get UserProfile value
     * @return \StructType\UserProfile|null
     */
    public function getUserProfile()
    {
        return $this->UserProfile;
    }
    /**
     * Set UserProfile value
     * @param \StructType\UserProfile $userProfile
     * @return \StructType\DispatcherResult_V4
     */
    public function setUserProfile(\StructType\UserProfile $userProfile = null)
    {
        $this->UserProfile = $userProfile;
        return $this;
    }
    /**
     * Get RightsProfile value
     * @return \StructType\RightsProfile|null
     */
    public function getRightsProfile()
    {
        return $this->RightsProfile;
    }
    /**
     * Set RightsProfile value
     * @param \StructType\RightsProfile $rightsProfile
     * @return \StructType\DispatcherResult_V4
     */
    public function setRightsProfile(\StructType\RightsProfile $rightsProfile = null)
    {
        $this->RightsProfile = $rightsProfile;
        return $this;
    }
}
